Opened 18 years ago

Closed 17 years ago

Last modified 16 years ago

#345 closed defect (invalid)

applications can't find motif library /usr/X11R6/lib/libXm.3.dylib

Reported by: mswan@… Owned by: kvv@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc:
Port:

Description

I installed openMotif 2.2.2 and tried running simple applications such as 'earth' or 'mwm' and they were unable to run because they couldn't:

dyld: earth can't open library: /usr/X11R6/lib/libXm.3.dylib (No such file or directory, errno=2) Trace/BPT trap

When I looked in /usr/X11R6/lib, there was libXm.3.0.1.dylib and I noticed that there were several libraries that had soft-links from a non-dotted version (such as libXmu.6.dylib) to the dotted version (such as libXmu.6.2.dylib).

I simply created the soft-link from libXm.3.dylib to libXm.3.0.1.dylib and the motif applications worked just fine. I assume its a problem with the installation tool.

Change History (2)

comment:1 Changed 17 years ago by michaelm@…

Is this still a problem?

comment:2 Changed 17 years ago by fkr@…

Resolution: invalid
Status: newclosed

closing because of lacking feedback. please re-open if necessary. -fkr

Note: See TracTickets for help on using tickets.